GDB (xrefs)

Classes | Functions | Variables
compile-object-run.c File Reference
`#include "defs.h"`
`#include "compile-object-run.h"`
`#include "value.h"`
`#include "infcall.h"`
`#include "objfiles.h"`
`#include "compile-internal.h"`
`#include "dummy-frame.h"`
`#include "block.h"`
`#include "valprint.h"`
`#include "compile.h"`

Go to the source code of this file.

## Classes
struct | do_module_cleanup

## Functions
static void | do_module_cleanup (void *arg, int registers_valid)
void | compile_object_run (struct compile_module *module)

## Variables
static dummy_frame_dtor_ftype | do_module_cleanup

## Function Documentation

## ◆ compile_object_run()

void compile_object_run | ( | struct compile_module * | module | ) |

Definition at line 116 of file compile-object-run.c.

References BLOCK_START, call_function_by_hand_dummy(), CATCH, copy_type_recursive(), create_copied_types_hash(), do_module_cleanup, END_CATCH, do_module_cleanup::executedp, find_dummy_frame_dtor(), compile_module::func_sym, gdb_assert, lookup_pointer_type(), do_module_cleanup::munmap_list_head, compile_module::munmap_list_head, compile_module::objfile, objfile_name(), do_module_cleanup::objfile_name_string, do_module_cleanup::out_value_addr, compile_module::out_value_addr, do_module_cleanup::out_value_type, compile_module::out_value_type, compile_module::regs_addr, RETURN_MASK_ERROR, compile_module::scope, do_module_cleanup::scope, compile_module::scope_data, do_module_cleanup::scope_data, compile_module::source_file, do_module_cleanup::source_file, SYMBOL_BLOCK_VALUE, SYMBOL_TYPE, throw_exception(), TRY, TYPE_CODE, TYPE_CODE_FUNC, TYPE_FIELD_TYPE, TYPE_NFIELDS, value_from_pointer(), xfree(), and xmalloc().

Referenced by eval_compile_command().

## ◆ do_module_cleanup()

static void do_module_cleanup | ( | void * | arg,
|  | int | registers_valid
| ) |  |
| static

Definition at line 62 of file compile-object-run.c.

References ALL_OBJFILES, clear_symtab_users(), COMPILE_I_PRINT_ADDRESS_SCOPE, COMPILE_I_PRINT_VALUE_SCOPE, compile_print_value(), do_module_cleanup::executedp, objfile::flags, lookup_pointer_type(), munmap_list_free(), do_module_cleanup::munmap_list_head, OBJF_USERLOADED, objfile::objfile(), objfile_name(), do_module_cleanup::objfile_name_string, do_module_cleanup::out_value_addr, do_module_cleanup::out_value_type, do_module_cleanup::scope, do_module_cleanup::scope_data, do_module_cleanup::source_file, value_from_pointer(), value_ind(), and xfree().

## Variable Documentation

## ◆ do_module_cleanup

dummy_frame_dtor_ftype do_module_cleanup
| static

Definition at line 60 of file compile-object-run.c.

Referenced by compile_object_run().